#ifndef CYGONCE_BLUE_2G_H
#define CYGONCE_BLUE_2G_H

/*=============================================================================
//
//      blue_2g.h
//
//      Platform specific support (register layout, etc)
//
//=============================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//=============================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):    gthomas
// Contributors: gthomas
//               Xavier Debreuil <xavier.debreuil@inventel.fr>
// Date:         2000-05-08
// Purpose:      Intel SA1110/Blue_2g platform specific support routines
// Description: 
// Usage:        #include <cyg/hal/blue_2g.h>
//
//####DESCRIPTIONEND####
//
//===========================================================================*/

#define LED_TIME  50000

// 
// Signal assertion levels
//
#define SA1110_LOGIC_ONE(m)  (m & 0xFFFFFFFF)
#define SA1110_LOGIC_ZERO(m) (m & 0x00000000)

//
// Special purpose GPIO interrupt mappings
//

//
// GPIO layout
//
#define SA1110_GPIO_LED1            0x00200000
#define SA1110_GPIO_LED2            0x00400000
#define SA1110_GPIO_LED3            0x00800000
#define SA1110_GPIO_LED4            0x01000000
#define SA1110_GPIO_ADSL_RESET      0x02000000

//
// PCM GPIO layout
//
#define SA1110_PCM_ETHERNET_RESET    0x00000800
#define SA1110_PCM_USB_RESET         0x00000100
#define SA1110_PCM_PCMCIA1_RESET     0x00000040
#define SA1110_PCM_DECT_RESET        0x00000200

/*---------------------------------------------------------------------------*/
/* end of blue_2g.h                                                          */
#endif /* CYGONCE_BLUE_2G_H */
